class AdminController < ApplicationController
  before_filter :login_required
  before_filter :administrator_required
  skip_before_filter :login_required, :administrator_required, :only => [:cloze, :cloze_convert]
  def index
    @words = Word.find(:all, :order => "word", :limit => 10 )
  end
  def new
  end
  def add_multiple_words
  end
  def add_multiple_words_plus_english
  end
  def new_proverb
  end
  def create
    text = params[:text][:text]
    # replace whitespace by one space
    text.gsub!(/\s+/, ' ')
    # get rid of curly quotes
    text.gsub! "\342\200\230", "'"
    text.gsub! "\342\200\231", "'"
    text.gsub! "\342\200\234", '"'
    text.gsub! "\342\200\235", '"'
    # look at each word
    #raise current_user.inspect
    @new_words=[]
    @existing_words=[]
    text.split(' ').each do | word |
      word.sub!(/^[^\w-]+/,'')
      word.reverse!.sub!(/^[^\w-]+/,'')
      word.reverse!
      temp_word = Word.find_by_word(word)
      if temp_word.nil?
        new_word = Word.create( :word => word,
          :created_by => current_user,
          :updated_by => current_user,
          :pap_description => "No description yet"
        );
        @new_words << new_word
        # create the forum
        FforumPost.create(:forum_type=>'Word',
          :created_by => current_user,
          :updated_by => current_user,
          :forum_type_id => new_word.id,
          :title => new_word.word,
          :content => 'dummy' )
      else
        @existing_words << temp_word
      end
    end
    @new_words.uniq!
    @new_words.sort! if not @new_words.nil?
    @existing_words.uniq!
    @existing_words.sort! if not @existing_words.nil?
    @existing_words -= @new_words if not @existing_words.nil? and not @new_words.nil?
  end
  def create_multiple_words
    user = User.find_by_id(params[:text][:user_id]) || current_user
    auto_approved = params[:text][:auto_approve] == "true" ? true : false
    text = params[:text][:text]
    redirect_to '/' if text.empty?
    # replace whitespace by one space
    text.gsub!(/\s+/, ' ')
    # get rid of curly quotes
    text.gsub! "\342\200\230", "'"
    text.gsub! "\342\200\231", "'"
    text.gsub! "\342\200\234", '"'
    text.gsub! "\342\200\235", '"'
    @new_words = []
    @invalid_words = []
    @existing_words = []
    # look at each word
    text.split(' ').each do | word |
      word.sub!(/^[^\w-]+/,'')
      word.reverse!.sub!(/^[^\w-]+/,'')
      word.reverse!
      if not Word.exists?( :word => word)
        new_word = Word.create( :word => word,
          :created_by => user,
          :updated_by => user,
          :pap_description => "No description yet",
          :status => auto_approved ? 2 : 1,
          :judged_by => auto_approved ? user : nil,
          :judged_at => auto_approved ? ::Time.now : nil
        );
        if new_word.valid?
          @new_words << new_word
          # create the forum
          FforumPost.create(:forum_type=>'Word',
            :created_by => user,
            :updated_by => user,
            :forum_type_id => new_word.id,
            :title => new_word.word,
            :content => 'dummy' )
        else
          @invalid_words << word
        end
      else
        @existing_words << word
      end
    end
    @new_words.uniq!
    @new_words.sort! if not @new_words.nil?
    @existing_words.uniq!
    @existing_words.sort! if not @existing_words.nil?
  end
  def create_multiple_words_plus_english
    user = User.find_by_id(params[:text][:user_id]) || current_user
    auto_approved = params[:text][:auto_approve] == "true" ? true : false
    text = params[:text][:text]
    redirect_to '/' if text.empty?
    # remove \r
    text.gsub!(/\r+/, '')
    # get rid of curly quotes
    text.gsub! "\342\200\230", "'"
    text.gsub! "\342\200\231", "'"
    text.gsub! "\342\200\234", '"'
    text.gsub! "\342\200\235", '"'
    @new_words = []
    @invalid_words = []
    @existing_words = []
    # look at each line
    text.split("\n").each do | line |
      stuff=line.split(':')
      word=stuff[0].strip
      word.sub!(/^[^\w-]+/,'')
      word.reverse!.sub!(/^[^\w-]+/,'')
      word.reverse!
      if not Word.exists?( :word => word)
        new_word = Word.create( :word => word,
          :created_by => user,
          :updated_by => user,
          :pap_description => "No description yet",
          :english => stuff[1].strip,
          :status => auto_approved ? 2 : 1,
          :judged_by => auto_approved ? user : nil,
          :judged_at => auto_approved ? ::Time.now : nil
        );
        if new_word.valid?
          @new_words << new_word
          # create the forum
          FforumPost.create(:forum_type=>'Word',
            :created_by => user,
            :updated_by => user,
            :forum_type_id => new_word.id,
            :title => new_word.word,
            :content => 'dummy' )
        else
          @invalid_words << word
        end
      else
        @existing_words << word
      end
    end
    @new_words.uniq!
    @new_words.sort! if not @new_words.nil?
    @existing_words.uniq!
    @existing_words.sort! if not @existing_words.nil?
  end
  def create_proverb
    text = params[:text][:text]
    # replace whitespace by one space
    text.gsub!(/\s+/, ' ')
    # get rid of surly quotes
    text.gsub! "\342\200\230", "'"
    text.gsub! "\342\200\231", "'"
    text.gsub! "\342\200\234", '"'
    text.gsub! "\342\200\235", '"'
    @new_words=[]
    @existing_words=[]
    # create the proverb
    proverb = Proverb.create( :proverb => text,
      :created_by => current_user,
      :updated_by => current_user
    )
    # look at each word
    text.split(' ').each do | word |
      word.sub!(/^[^\w-]+/,'')
      word.reverse!.sub!(/^[^\w-]+/,'')
      word.reverse!
      # find the word
      temp_word = Word.find_by_word(word)
      # add this word if it didn't exist
      if temp_word.nil?
        temp_word = Word.create( :word => word,
          :created_by => current_user,
          :updated_by => current_user
        );
        @new_words << temp_word
        # create the forum for that word.
        FforumPost.create(:forum_type=>'Word',
          :created_by => current_user,
          :updated_by => current_user,
          :forum_type_id => temp_word.id,
          :title => temp_word.word,
          :content => 'dummy' )
      else
        @existing_words << temp_word
      end
      # add the proverb to the word
      temp_word.proverbs = [] if temp_word.proverbs.nil?
      temp_word.proverbs << proverb.id
      temp_word.proverbs.uniq!
      temp_word.save
          @new_words.uniq!
    @new_words.sort! if not @new_words.nil?
    @existing_words.uniq!
    @existing_words.sort! if not @existing_words.nil?
    @existing_words -= @new_words if not @existing_words.nil? and not @new_words.nil?

    end
  end
  def cloze
    render :layout=>false
  end
  def cloze_convert
    @result=params[:raw].gsub(/\{/, '{1:SHORTANSWER:=')
    render :layout=>false
  end
end

