# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.


class ApplicationController < ActionController::Base
  helper :all # include all helpers, all the time
  protect_from_forgery # See ActionController::RequestForgeryProtection for details

  #facebook stuff
before_filter :set_facebook_session
helper_method :facebook_session

  # Be sure to include AuthenticationSystem in Application Controller instead
  include AuthenticatedSystem
  # Scrub sensitive parameters from your log
  # filter_parameter_logging :password


  private
    def administrator_required
      if not logged_in?
        flash[:notice]='You are not logged in'
        redirect_to '/'
      else
        if not current_user.administrator
          flash[:notice]='You are not an administrator'
          redirect_to '/'
        end
      end
    end
end
