class FforumController < ApplicationController
  before_filter :login_required

  #TODO lots of security issues here. but at least you have to be logged in.
  verify :method => :post, :only=>['save', 'destroy']
  # The newmsg_ajax method is for entering new mesages. They include a title.
  def newmsg_ajax 
    @post = FforumPost.new
    @post.parent_id = params[:id]
    render :partial=>'/partials/fforum_form_new'
  end

  # The reply_ajax method is for entering replies to messages. The title is automatically set.
  def reply_ajax
    @post = FforumPost.new
    @post.parent_id = params[:id]
    render :partial=>'/partials/fforum_form'
  end
  
  def edit_ajax
    @post = FforumPost.find(params[:id])
    render :partial=>'/partials/fforum_form'
  end

  # there is security issue here, you can generate fake 'edit' requests, but... :) you can write it if you need it :D  
  # the save method is used to save replies. The title is set to the parent post, the depths is increased with one.
  def save
    if params[:id].blank?
      @post = FforumPost.new(params[:post])
      @post.created_by = current_user
      @post.title = "Re: " + FforumPost.find(@post.parent_id).title.gsub(/^Re: /,'')
      @post.depth = FforumPost.find(@post.parent_id).depth + 1 
      ret = @post.save
    else
      return cancel if not current_user.administrator
      @post = FforumPost.find(params[:id])
      ret = @post.update_attributes(params[:post])
    end
    ret ? cancel : render(:partial=> 'partials/fforum_form', :object=>session[:fforum_root_id])
  end
  
  #there is security issue here, you can generate fake 'edit' requests, but... :) you can write it if you need it :D  
  # the save_new is to save the new posts in the forum. The title comes from the form and the depth is zero.
  def save_new
    if params[:id].blank?
      @post = FforumPost.new(params[:post])
      @post.created_by = current_user
      @post.depth = 0 
      ret = @post.save
    else
      return cancel unless session[:fforum_true_if_admin]
      @post = FforumPost.find(params[:id])
      ret = @post.update_attributes(params[:post])
    end
    ret ? cancel : render(:partial=> 'partials/fforum_form_new', :object=>session[:fforum_root_id])
  end

  def destroy
    return cancel if not current_user.administrator
    FforumPost.find(params[:id]).destroy
    cancel
  end
  
  def cancel
    render :partial=> 'partials/fforum', :object=>session[:fforum_root_id]
  end
end
