class Proverb < ActiveRecord::Base
  validates_presence_of     :proverb
  validates_uniqueness_of   :proverb, :case_sensitive => false
  belongs_to :created_by, :class_name => 'User', :foreign_key => :created_by
  belongs_to :updated_by, :class_name => 'User', :foreign_key => :updated_by
  belongs_to :approved_by, :class_name => 'User', :foreign_key => :approved_by
  belongs_to :deleted_by, :class_name => 'User', :foreign_key => :deleted_by
  #file_column :picture

  def <=>(other)
    self.proverb <=> other.proverb
  end

  def deleted?
    return false if self.deleted.nil?
    self.deleted
  end

  def approved?
    return false if self.approved.nil?
    self.approved
  end

end
