ActionController::Routing::Routes.draw do |map|
  map.logout '/logout', :controller => 'sessions', :action => 'destroy'
  #map.login '/login', :controller => 'sessions', :action => 'new'
  #map.register '/register', :controller => 'users', :action => 'create'
  #map.signup '/signup', :controller => 'users', :action => 'new'
  map.resource :session
  map.activate '/activate/:activation_code', :controller => 'users', :action => 'activate', :activation_code => nil
  map.resources :users, :member => { :suspend => :put, :unsuspend => :put, :purge => :delete }, :collection => {:link_user_accounts => :get}

  map.root :controller => "word", :action => "random_word"
  map.connect '/admin/:action/:id', :controller => 'admin'
  map.connect '/palabra/:action/:id', :controller => 'word', :requirements => { :action => /[a-z]+_[a-z]+/ }
  map.connect '/palabra/:action', :controller => 'word', :requirements => { :action => /.*/ }
  # fforum stuff
  map.connect '/fforum/reply_ajax/:id', :controller => "fforum", :action => "reply_ajax"
  map.connect '/fforum/newmsg_ajax/:id', :controller => "fforum", :action => "newmsg_ajax"
  map.connect '/fforum/edit_ajax/:id', :controller => "fforum", :action => "edit_ajax"
  map.connect '/fforum/destroy/:id', :controller => "fforum", :action => "destroy"
  map.connect '/fforum/save_new', :controller => "fforum", :action => "save_new"
  map.connect '/fforum/save', :controller => "fforum", :action => "save"
  map.connect '/fforum/cancel', :controller => "fforum", :action => "cancel"
  #rads stuff
  map.connect '/rads/image/:id', :controller => "rads", :action => "image"
  map.connect '/rads/click_to/:id', :controller => 'rads', :action => 'click_to'
  map.connect '/rads/view_banner/:id', :controller => "rads", :action => "view_banner"
  map.connect '/rads/admin/:id', :controller => "rads", :action => "admin"
  map.connect '/rads/create_banner/:id', :controller => "rads", :action => "create_banner"
  map.connect '/rads/delete_banner/:id', :controller => "rads", :action => "delete_banner"
  map.connect '/rads/create_campaign/:id', :controller => "rads", :action => "create_campaign"
  map.connect '/rads/delete_campaign/:id', :controller => "rads", :action => "delete_campaign"

  #map.connect '/*junk', :controller => 'word', :action => 'redirect'
  # The priority is based upon order of creation: first created -> highest priority.

  # Sample of regular route:
  #   map.connect 'products/:id', :controller => 'catalog', :action => 'view'
  # Keep in mind you can assign values other than :controller and :action
  # Sample of named route:
  #   map.purchase 'products/:id/purchase', :controller => 'catalog', :action => 'purchase'
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   map.resources :products

  # Sample resource route with options:
  #   map.resources :products, :member => { :short => :get, :toggle => :post }, :collection => { :sold => :get }

  # Sample resource route with sub-resources:
  #   map.resources :products, :has_many => [ :comments, :sales ], :has_one => :seller
  
  # Sample resource route with more complex sub-resources
  #   map.resources :products do |products|
  #     products.resources :comments
  #     products.resources :sales, :collection => { :recent => :get }
  #   end

  # Sample resource route within a namespace:
  #   map.namespace :admin do |admin|
  #     # Directs /admin/products/* to Admin::ProductsController (app/controllers/admin/products_controller.rb)
  #     admin.resources :products
  #   end

  # You can have the root of your site routed with map.root -- just remember to delete public/index.html.
  # map.root :controller => "welcome"

  # See how all your routes lay out with "rake routes"

  # Install the default routes as the lowest priority.
  # Note: These default routes make all actions in every controller accessible via GET requests. You should
  # consider removing the them or commenting them out if you're using named routes and resources.
  #map.connect ':controller/:action/:id'
  #map.connect ':controller/:action/:id.:format'
end
