class CreateWords < ActiveRecord::Migration
  def self.up
    create_table "words", :force => true do |t|
      t.column :word,           :string
      # status 1=unknown 2=approved 3=deleted
      t.column :status,        :integer, :default => 1
      # created, updated
      t.column :created_by,     :integer
      t.column :updated_by,     :integer
      #last judge
      t.column :judged_by,    :integer
      t.column :judged_at,    :datetime
      #pap_description
      t.column :pap_description,    :text
      #comments
      t.column :comments,    :text
      # timestamps
      t.timestamps
      # root word
      t.column :root_word,        :bool, :default => false
      # syllabification
      t.column :syllabification,           :string
      # phonetic_notation
      t.column :phonetic_notation,           :string
      # regions
      t.column :used_in_aruba,        :bool, :default => false
      t.column :used_in_curacao,        :bool, :default => false
      t.column :used_in_bonaire,        :bool, :default => false
      # proverbs
      t.column :proverbs,       :text
    end
    add_index :words, :word, :unique => true 
  end

  def self.down
    drop_table "words"
  end
end
