class CreateProverbs < ActiveRecord::Migration
  def self.up
    create_table "proverbs", :force => true do |t|
      t.column :proverb,        :string
      t.column :approved,       :bool, :default => false
      t.column :approved_by,    :integer
      t.column :approved_at,    :datetime
      t.column :deleted,        :bool, :default => false
      t.column :deleted_by,     :integer
      t.column :deleted_at,    :datetime
      t.timestamps
      t.column :created_by,     :integer
      t.column :updated_by,     :integer
    end
    add_index :proverbs, :proverb, :unique => true 
  end

  def self.down
    drop_table "proverbs"
  end
end
