# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 13) do

  create_table "fforum_posts", :force => true do |t|
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "title"
    t.text     "content"
    t.integer  "parent_id",     :default => 0
    t.integer  "depth",         :default => 0
    t.integer  "created_by"
    t.integer  "updated_by"
    t.string   "forum_type"
    t.integer  "forum_type_id"
  end

  create_table "proverbs", :force => true do |t|
    t.string   "proverb"
    t.boolean  "approved",    :default => false
    t.integer  "approved_by"
    t.datetime "approved_at"
    t.boolean  "deleted",     :default => false
    t.integer  "deleted_by"
    t.datetime "deleted_at"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "created_by"
    t.integer  "updated_by"
  end

  add_index "proverbs", ["proverb"], :name => "index_proverbs_on_proverb", :unique => true

  create_table "rads_banner_stats", :force => true do |t|
    t.integer  "impressions",    :default => 0
    t.integer  "clicks",         :default => 0
    t.integer  "rads_banner_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "rads_banner_types", :force => true do |t|
    t.string   "name"
    t.float    "cpm"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "rads_banners", :force => true do |t|
    t.integer  "rads_campaign_id"
    t.text     "html"
    t.string   "name"
    t.integer  "rads_banner_type_id"
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.binary   "image",               :limit => 16777215
  end

  create_table "rads_campaigns", :force => true do |t|
    t.string   "name"
    t.float    "budget"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "user_id"
  end

  create_table "users", :force => true do |t|
    t.string   "login",                     :limit => 40
    t.string   "name",                      :limit => 100, :default => ""
    t.string   "email",                     :limit => 100
    t.string   "crypted_password",          :limit => 40
    t.string   "salt",                      :limit => 40
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "remember_token",            :limit => 40
    t.datetime "remember_token_expires_at"
    t.string   "activation_code",           :limit => 40
    t.datetime "activated_at"
    t.string   "state",                                    :default => "passive"
    t.datetime "deleted_at"
    t.boolean  "administrator",                            :default => false
    t.boolean  "judge",                                    :default => false
    t.boolean  "radsuser",                                 :default => false
    t.boolean  "editor",                                   :default => false
    t.integer  "fb_user_id",                :limit => 8
    t.string   "email_hash"
  end

  add_index "users", ["login"], :name => "index_users_on_login", :unique => true

  create_table "votes", :force => true do |t|
    t.boolean  "vote",          :default => false
    t.integer  "voteable_id",                      :null => false
    t.string   "voteable_type",                    :null => false
    t.integer  "voter_id"
    t.string   "voter_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "votes", ["voteable_id", "voteable_type"], :name => "fk_voteables"
  add_index "votes", ["voter_id", "voter_type"], :name => "fk_voters"

  create_table "words", :force => true do |t|
    t.string   "word"
    t.integer  "status",            :default => 1
    t.integer  "created_by"
    t.integer  "updated_by"
    t.integer  "judged_by"
    t.datetime "judged_at"
    t.text     "pap_description"
    t.text     "comments"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "root_word",         :default => false
    t.string   "syllabification"
    t.string   "phonetic_notation"
    t.boolean  "used_in_aruba",     :default => false
    t.boolean  "used_in_curacao",   :default => false
    t.boolean  "used_in_bonaire",   :default => false
    t.text     "proverbs"
    t.integer  "views",             :default => 0
    t.string   "english",           :default => ""
  end

  add_index "words", ["word"], :name => "index_words_on_word", :unique => true

end
