# -*- coding: utf-8 -*-
require File.dirname(__FILE__) + '/../spec_helper'

include AuthenticatedTestHelper
include AuthenticatedSystem

describe Word do
  fixtures        :users

  describe 'being created' do
    before do
      current_user = users(:quentin)
      @word = nil
      @creating_word = lambda do
        @word = create_word
        raise @word.inspect
        violated "#{@word.errors.full_messages.to_sentence}" if @word.new_record?
      end
    end

    it 'increments word#count' do
      @creating_word.should change(Word, :count).by(1)
    end



  end
 
protected
  def create_word
    Word.new( :word => 'trstword',
      :created_by => current_user,
      :updated_by => current_user,
      :pap_description => "No description yet"
    );
  end
end

#     t.column :word,           :string
#      # status 1=unknown 2=approved 3=deleted
#      t.column :status,        :integer, :default => 1
#      # created, updated
#      t.column :created_by,     :integer
#      t.column :updated_by,     :integer
#      #last judge
#      t.column :judged_by,    :integer
#      t.column :judged_at,    :datetime
#      #pap_description
#      t.column :pap_description,    :text
#      #comments
#      t.column :comments,    :text
#      # timestamps
#      t.timestamps
#      # root word
#      t.column :root_word,        :bool, :default => false
#      # syllabification
#      t.column :syllabification,           :string
#      # phonetic_notation
#      t.column :phonetic_notation,           :string
#      # regions
#      t.column :used_in_aruba,        :bool, :default => false
#      t.column :used_in_curacao,        :bool, :default => false
#      t.column :used_in_bonaire,        :bool, :default => false
#      # proverbs
#      t.column :proverbs,       :text
